stages:
  - tests
  - deploy

tests:
  stage: tests
  image: python:3.7
  script:
    - apt-get update -qy
    - apt-get install -y python-dev python-pip
    - pip install -r requirements.txt

deploy:
  stage: deploy
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKUAPP --api-key=$HEROKUAPI
  only:
    - master